Package org.apache.ignite.spi.tracing

## Interface TracingSpi<S extends SpiSpecificSpan>

- All Superinterfaces:
    `IgniteSpi`
  All Known Implementing Classes:
    `NoopTracingSpi`, `OpenCensusTracingSpi`

      public interface TracingSpi<S extends SpiSpecificSpan>
      extends IgniteSpi

  Tracing SPI interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `S` | `create​(@NotNull String name, @org.jetbrains.annotations.Nullable byte[] serializedSpan)` | Creates Span given name and explicit parent.
    `S` | `create​(@NotNull String name, S parentSpan)` | Creates Span given name and explicit parent.
    `byte[]` | `serialize​(S span)` | Serializes span to byte array to send context over network.
    `byte` | `type()` |

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

      `getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized, spiStart, spiStop`

- - ### Method Detail

    - #### create

          S create​(@NotNull
                   @NotNull String name,
                   @Nullable
                   @org.jetbrains.annotations.Nullable byte[] serializedSpan)
            throws Exception

      Creates Span given name and explicit parent.
      Parameters:
        `name` - Name of span to create.
        `serializedSpan` - Parent span as serialized bytes.
      Returns:
        Created span.
      Throws:
        `Exception` - If failed to deserialize patent span.

    - #### create

          @NotNull
          S create​(@NotNull
                   @NotNull String name,
                   @Nullable
                   S parentSpan)

      Creates Span given name and explicit parent.
      Parameters:
        `name` - Name of span to create.
        `parentSpan` - Parent span.
      Returns:
        Span instance.

    - #### serialize

          byte[] serialize​(@NotNull
                           S span)

      Serializes span to byte array to send context over network.
      Parameters:
        `span` - Span.
      Returns:
        Span instance.

    - #### type

          byte type()

      Returns:
        type of tracing spi as byte.